
QGIS Application - Bug report #16302

Quick calculation bar causes QGIS crash when updating fields with aliases.

2017-03-07 02:19 AM - Lukasz Debek

Status: Closed

Priority: High

Assignee:

Category: Attribute table

Affected QGIS version:2.18.4 Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:Yes Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 24212

Description

Using quick calculation bar for updating fields with aliases causes QGIS crash.

To reproduce the problem add a layer (checked with shapefiles and postgis layers), set an alias for any field and try to update values

inside this field using the quick calculation bar.

Checked on QGIS 2.18.4 and 2.18.3 from OSGeo4W 64bit installer.

Related issues:

Related to QGIS Application - Bug report # 16187: Expression Dialog causing m... Closed 2017-02-13

Associated revisions

Revision a0c6872f - 2017-05-12 12:41 PM - Matthias Kuhn 

Fix crash when using expression bar on aliased field

Fix #16302

Revision 477d1bdf - 2017-05-12 02:34 PM - Matthias Kuhn 

Fix crash when using expression bar on aliased field

Fix #16302

History

#1 - 2017-03-07 02:28 AM - Giovanni Manghi

- Status changed from Open to Feedback

sorry to ask, what do you mean with "quick calculator"?

#2 - 2017-03-07 02:33 AM - Saber Razmjooei

- Status changed from Feedback to Open

Hi Gio,

It is top of the attribute table.
#3 - 2017-03-07 02:36 AM - Giovanni Manghi

- Status changed from Open to Feedback

Saber Razmjooei wrote:

Hi Gio,

It is top of the attribute table.

then I cannot confirm.

Please attach sample project/data and expect operations that lead to the crash.

#4 - 2017-03-07 02:51 AM - Lukasz Debek

- File qcb.jpg added

Giovanni Manghi wrote:

sorry to ask, what do you mean with "quick calculator"?

I mean bar that shows up in attribute table when you start edit session.

#5 - 2017-03-07 02:58 AM - Giovanni Manghi

- Priority changed from High to Severe/Regression

- Status changed from Feedback to Open

Lukasz Debek wrote:

Giovanni Manghi wrote:

sorry to ask, what do you mean with "quick calculator"?

I mean bar that shows up in attribute table when you start edit session.

right, then is confirmed.

#6 - 2017-03-07 03:05 AM - Saber Razmjooei

- Operating System deleted (Windows 7)

- File alias_update.zip added

- OS version deleted (x64)

Here is an example file:

Contin. column is aliased to Continent.
    1. Open the attribute for europe

    2. Make it editable

    3. Try to update Continent column

Segmentation fault in terminal.

I can also confirm it in master.

#7 - 2017-03-07 04:12 AM - Giovanni Manghi

possibly related to #16187

#8 - 2017-04-30 05:08 PM - Giovanni Manghi

- Regression? set to Yes

#9 - 2017-04-30 05:09 PM - Giovanni Manghi

- Priority changed from Severe/Regression to High

#10 - 2017-05-01 01:10 AM - Giovanni Manghi

- Easy fix? set to No

#11 - 2017-05-12 12:38 PM - Matthias Kuhn

- Description updated

Pull request open https://github.com/qgis/QGIS/pull/4543

#12 - 2017-05-12 12:40 PM - Giovanni Manghi

- Pull Request or Patch supplied changed from No to Yes

#13 - 2017-05-12 12:41 PM - Anonymous

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|a0c6872f6cb055fce2cbb834aa6f1de91193ab23.

#14 - 2017-05-12 12:42 PM - Matthias Kuhn

- Status changed from Closed to In Progress

Only applied to master yet

#15 - 2017-05-12 02:34 PM - Anonymous

- Status changed from In Progress to Closed

Applied in changeset commit:qgis|477d1bdf90aae01b8aaaea9589c9ce9225fb9e30.
Files

qcb.jpg 30.5 KB 2017-03-07 Lukasz Debek

alias_update.zip 979 KB 2017-03-07 Saber Razmjooei
